## zeitgeist 0.4.0-0ubuntu1-maemo1

=== debian/changelog ===
zeitgeist (0.4.0-0ubuntu1-maemo1) unstable; urgency=low

  * initial packaging of zeitgeist for maemo, based on lp:ubuntu/zeitgeist rev8

 -- Markus Korn <thekorn@gmx.de>  Fri, 23 Jul 2010 06:07:22 +0000

zeitgeist (0.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release for dx team
  * debian/rules:
    - add simple-patchsys.mk
    - add autoreconf.mk to take the following patch into account
  * debian/patches/01_zeitgeist-hardwire-fts-extension.patch:
    - add temporarly FTS to zg
  * debian/control.in:
    - bump Standards-Version to latest
    - build-dep on libgconf2-dev and dh-autoreconf for running autoreconf at
      build time
    - build-dep on raptor-utils

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 18 Jun 2010 15:58:20 +0200

zeitgeist (0.3.2-1ubuntu1) lucid; urgency=low

  The "let's backport fixes" release.

  * zeitgeist/datamodel.py:
     - Fixes the display name for Interpretation.SOURCECODE.
  * zeitgeist/client.py:
     - Fix find_events_for_values (LP: #510804).
     - Fix find_events_for_template, was returning event IDs only.
  * _zeitgeist/engine/main.py:
     - Ensure event deletions get committed and ignore deletion requests with no
       valid IDs (LP: #566173, #566184).
     - Fix insertion of events with a payloads (LP: #557708).
  * _zeitgeist/engine/remote.py:
     - Fix wrong docstrings (FindEvent mentioned the return type of FindEventIds,
       and the other way around).
  * _zeitgeist/loggers/datasources/recent.py:
     - Recognize additional mime-types (LP: #510761).
     - Fix crash trying to access a broken symlink (LP: #523761, #549567).
     - Fix crash when GtkRecentManager doesn't have a display-friendly version
       of a URI (LP: #531793).
     - Fix crash parsing malformed .desktop files (LP: #526357).
     - Prepend "application://" to the actor name.
  * _zeitgeist/engine/sql.py:
     - Update event_view to lookup the payload's value instead of returning its
       rowid.
  * _zeitgeist/engine/extension.py:
     - Make ExtensionsCollection iterable.
  * doc/zeitgeist-daemon.1:
     - Update information in the "Environment variables" section.
  * debian/control:
     - Version zeitgeist-datahub's zeitgeist-daemon dependency to 0.3.2 or later.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 23 Apr 2010 16:46:07 +0200

zeitgeist (0.3.2-1) unstable; urgency=low

  * New upstream release:
     - Add FindEvents, optimized shorthand for GetEvents(FindEventIds(...)).
     - Fix DeleteEvents and make it ignore bad requests.
     - Fix GetEvents not to raise an exception when called with an empty list.
     - ZeitgeistClient.get_version() now returns a Python list.
     - Some code refactoring, documentation changes and other little fixes.
  * Delete debian/zeitgeist-daemon.bash_completion, as it's now in the tarball,
    and update debian/rules to reflect this change.
  * debian/control.in:
     - Change Homepage field to zeitgeist-project.com.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Wed, 20 Jan 2010 00:23:48 +0100

zeitgeist (0.3.1-1) unstable; urgency=low

  * First upload to enter Debian (Closes: #529067).
  * debian/copyright:
     - Mention that some copyright headers in the tarball are wrong.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 01 Dec 2009 15:12:39 +0100

zeitgeist (0.3.1-0ubuntu1) lucid; urgency=low

  * New upstream release:
     - Event subscription (monitoring) support.
     - Blacklist extension.
     - Experimental FindRelatedUris method (API for it may change).
     - Other features, bug fixes and better documentation.
  * Update debian/copyright.
  * debian/{rules,zeitgeist-core.install,zeitgeist-daemon.bash_completion}:
     - Add bash-completion for the "zeitgeist-daemon" command.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sun, 10 Jan 2010 23:48:48 +0100

zeitgeist (0.2.1-0ubuntu2) karmic; urgency=low

  * debian/control{,.in}:
     - Degraded python-storm from Depends to Suggests, as since 0.2.1
       Storm is no longer used by default.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Thu, 15 Oct 2009 17:01:24 +0200

zeitgeist (0.2.1-0ubuntu1) karmic; urgency=low

  * New upstream release.
     - Update dependencies.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 17 Aug 2009 00:12:51 +0200

zeitgeist (0.2.0+dfsg1-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #377634) (Closes: #529067).
  * Tarball repackaged to remove doc/dbus/build, which was included accidentally
    and has files with unclear licensing.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Wed, 08 Jul 2009 00:34:59 +0200
