=== debian/rules ===
#!/usr/bin/make -f

# use automake1.9:
# http://maemo.org/community/maemo-developers/automake-1-8-5/
export SBOX_DEFAULT_AUTOMAKE=1.9

# use python2.5: http://wiki.maemo.org/PyMaemo/FAQ
PATH := /usr/bin:$(PATH)
SBOX_REDIRECT_IGNORE := $(SBOX_REDIRECT_IGNORE):/usr/bin/python
export PATH SBOX_REDIRECT_IGNORE

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

install/zeitgeist-core::
	dh_installdirs -pzeitgeist-core -Pdebian/tmp etc/bash_completion.d
	install -m 644 $(CURDIR)/extra/zeitgeist-daemon.bash_completion \
		$(CURDIR)/debian/tmp/etc/bash_completion.d/zeitgeist-daemon

binary-install/zeitgeist-core::
	dh_pysupport /usr/share/zeitgeist

binary-install/zeitgeist-datahub::
	dh_pysupport /usr/share/zeitgeist
