## zeitgeist 0.5.1-1maemo2

=== debian/changelog ===
zeitgeist (0.5.1-1maemo2) unstable; urgency=low

  * New upstream release

 -- Markus Korn <thekorn@gmx.de>  Fri, 10 Sep 2010 15:22:25 +0200

zeitgeist (0.4.0-1maemo1~test2) unstable; urgency=low

  * initial creation of the maemo package of zeitgeist 0.4.0

 -- Markus Korn <thekorn@gmx.de>  Wed,  7 Jul 2010 15:45:02 +0200

zeitgeist (0.4.0-1) unstable; urgency=low

  * New upstream release:
     - Added support for negation ("!<text>") and right wildcards ("<text>*")
       to many query fields. Also added type expansion (eg.: Image matches
       VectorImage and RasterImage).
     - Fixed DeleteEvents to work with arbitrarily huge amounts of IDs.
     - Several ontology changes (renamed interpretation values). Support for
       automatic database format upgrades.
     - Other fixes, improvements, new API functionalities and translations.
  * Update debian/control (add raptor-utils and python-rdflib to the build
    dependencies) and debian/zeitgeist-core.install.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 18 Jun 2010 22:15:38 +0200

zeitgeist (0.3.3.1-1) unstable; urgency=low

  * New upstream release:
     - Added new ReturnTypes ({Most,Least}{PopularActor,RecentActor}).
     - Added DataSourceRegistry extension and support for extensions
       identifying callers (when methods are executed through D-Bus).
     - Overhauled FindRelatedUris for better results and improved performance.
     - Several other changes and bug fixes (LP: #549567, #531793).
  * debian/control, debian/rules:
     - Get ride of CDBS (switch to dh7).
     - Bump Standards-Version to 3.8.4.
  * Add debian/source/format file with content "1.0".

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 20 Apr 2010 14:38:53 +0200
