=== debian/control ===
--- 
+++ 
@@ -2,15 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Markus Korn <thekorn@gmx.de>
-Build-Depends: cdbs (>= 0.4.48),
- debhelper (>= 5.0.38),
- dh-autoreconf,
- libgconf2-dev,
- gnome-pkg-tools,
+Build-Depends: debhelper7 (>= 7.0.50~),
  intltool,
+ python-support (>= 0.90.0~),
  python-rdflib,
  raptor-utils,
- python-support (>= 0.5.3)
+ libxml-perl
 Homepage: http://zeitgeist-project.com/
 Standards-Version: 3.8.4
 
@@ -58,7 +55,7 @@
  python-dbus,
  python-gconf,
  python-gobject (>= 2.16.0),
- zeitgeist-core
+ zeitgeist-core (>= 0.3.3)
 Recommends: python-gtk2 (>= 2.14.1)
 Description: event logging framework - passive logging daemon
  Zeitgeist is a service which logs the user's activities and events (files
