=== debian/rules ===
#!/usr/bin/make -f

# debhelper7 -> debhelper magic, see http://wiki.maemo.org/Packaging#Debhelper_7
# python2.5 magic, see http://wiki.maemo.org/PyMaemo/FAQ
PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH

SBOX_REDIRECT_IGNORE=/usr/bin/perl:/usr/bin/python
#SBOX_REDIRECT_IGNORE:=$(shell echo /usr/bin/{perl,dh_*} | sed "s/ /:/g")
export SBOX_REDIRECT_IGNORE

%:
	dh $@

override_dh_pysupport:
	dh_pysupport /usr/share/zeitgeist
